Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.msg
Class CaretChanging

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.TextAreaUpdate
              org.gjt.sp.jedit.msg.CaretChanging

Deprecated. use @ref PositionChanging instead. This class will be removed before jEdit 4.3final.

    public class CaretChanging

extends TextAreaUpdate

A message currently emitted not by jEdit's TextArea, but by various plugins, including CodeBrowser, Tags, CscopeFinder, and SideKick, whenever the plugin takes an action to change the caret to another location.

Since:
  jEdit 4.3pre3

Field Summary

Fields inherited from class org.gjt.sp.jedit.msg.TextAreaUpdate
`CARET_CHANGING`

Constructor Summary
`CaretChanging(JEditTextArea jta)` Deprecated.

Method Summary

Methods inherited from class org.gjt.sp.jedit.msg.TextAreaUpdate
`getTextArea, getWhat`

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaretChanging

    public CaretChanging(JEditTextArea jta)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD